<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Homework-Hamburger</title>
<style>
    tr {
        width: 30px;
        height: 30px;
        border: 1px solid black;
    }
    td {
        width: 50px;
        height: 50px;
        border: 1px solid black;
    }
    .table {
        border-collapse: collapse;
    }
    .blue {
        background-color: blue;
    }
    .green {
        background-color: green;
    }
    .red {
        background-color: red;
    }
    #score {
        display: inline-block;
        height: 20px;
        width: 200px;
        float: top;
        background-color: #ffdbd2;
    }
    #score2 {
        display: inline-block;
        height: 20px;
        width: 200px;
        float: right;
        background-color: #ffdbd2;
    }
</style>
</head>
<body>
<table class="table">
    <tbody>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <tr>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
        <td class="celulle"></td>
    </tr>
    <p class="p" id="score">gamer's score is </p>
    <p class="p" id="score2">computor's score is </p>
    <div id="winner">Winner is </div>
    </tbody>
</table>
</body>
<script>
let celulles = document.getElementsByTagName("td");
let score = document.getElementById('score');
let score2 = document.getElementById('score2');
let winner = document.getElementById('winner');

class Essey {
    constructor(count, count2){
        this.count = count;
        this.count2 = count2;

    }
    aNumber () {
        let i = Math.floor(Math.random() * 100);
        if(celulles[i].classList.contains('green') || celulles[i].classList.contains('red')){
            i += 1;
        }
        if(i >= celulles.length) {
            i= 0;
        }
        celulles[i].classList.add('blue');
        celulles[i].onclick = function () {
            if(celulles[i].classList.contains('blue')) {
                celulles[i].classList.remove('blue');
                celulles[i].classList.add('green');
                this.count++;
                score.innerText = "gamer's score is " + this.count;
            }
        };
    }
    getRed() {
    for (let i = 0; i < celulles.length; i++) {
        if (celulles[i].classList.contains('blue')) {
            celulles[i].classList.remove('blue');
            celulles[i].classList.add('red');
            this.count2++;
            score2.innerText = "computor's score is " + this.count2;
        }
    }
}
    showWinner(){
    if(this.count2 >= 5) {
        winner.innerText = 'Winner is computer';
        clearInterval(this.b);
        clearInterval(this.c);
        clearInterval(this.d);
    }
    if(this.count >= 5) {
        winner.innerText = 'Winner is gamer';
        clearInterval(this.b);
        clearInterval(this.c);
        clearInterval(this.d);
    }
}
    makeIntervalAnumber(x) {
       this.b = setInterval(this.aNumber, x);
    }
    makeIntervalGetRed(z) {
        this.c = setInterval(this.getRed, z);
    }
    makeIntervalShowWinner(n) {
        this.d = setInterval(this.showWinner, n)
    }
}
let essey = new Essey(0, 0);
essey.makeIntervalAnumber(1501);
essey.makeIntervalGetRed(1500);
essey.makeIntervalShowWinner(100);

</script>
</html>

